#!/usr/bin/env sh

# 当发生错误时中止脚本
#set -e
#npm version <update_type>  patch 补丁   minor小改  major大改

#获取当前VPM_VERSION变量值
CUR_VPM_VERSION=${VPM_VERSION}

#根据VPM_VERSION变量值进行对应版本修改
if [ $CUR_VPM_VERSION == "patch" ]; then npm version patch; fi
if [ $CUR_VPM_VERSION == "minor" ]; then npm version minor; fi
if [ $CUR_VPM_VERSION == "major" ]; then npm version major; fi
#npm version patch
# 构建
npm run lib

#发布到npm
#npm config set registry https://registry.npmjs.org/ 
#已添加自动登录
#第一次发布，需要执行 npm adduser 添加保存账号信息到，创建或验证<username>在指定注册表中命名的用户，并将凭据保存到该.npmrc文件

npm publish

# cd 到构建输出的目录下 
#cd lib
echo "npm publish"

# 部署到自定义域域名
# echo 'www.example.com' > CNAME


git init
git checkout dev
git add -A
git commit -m 'deploy'


#$npm_package_version

cd -